#include <getopt.h>
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <pthread.h>

#include <pv.h>

/* static char *prompt="pvtool"; */
/* static const int jv_port = 2202;  */

int main(int argc, char *argv[])
{
	pv_engine_t *pv_engine;

	pv_engine = pv_init(argc, argv);
	if (pv_engine == NULL) 
		return EXIT_FAILURE;

	printf("setting process vars to their default values...");
	if (pv_default(pv_engine, NULL)) {
		printf("failed!\n");
		return EXIT_FAILURE;
	}
	printf("done.\n");	

	pv_finish(pv_engine);
	
	return EXIT_SUCCESS;
}

